Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt
Class UpdateTracker

    java.lang.Object
      org.apache.batik.gvt.event.GraphicsNodeChangeAdapter
          org.apache.batik.gvt.UpdateTracker

All Implemented Interfaces:
  EventListener, GraphicsNodeChangeListener

    public class UpdateTracker

extends GraphicsNodeChangeAdapter

This class tracks the changes on a GVT tree

Field Summary
`protected static Rectangle2D` | `NULL_RECT`

Constructor Summary
`UpdateTracker()`

Method Summary
`void` | `changeStarted(GraphicsNodeChangeEvent gnce)` Receives notification of a change to a GraphicsNode.
`void` | `clear()` Clears the tracker.
`List` | `getDirtyAreas()` Returns the list of dirty areas on GVT.
`Rectangle2D` | `getNodeDirtyRegion(GraphicsNode gn)`
`Rectangle2D` | `getNodeDirtyRegion(GraphicsNode gn, AffineTransform at)` This returns the dirty region for gn in the coordinate system given by `at`.
`boolean` | `hasChanged()` Tells whether the GVT tree has changed.

Methods inherited from class org.apache.batik.gvt.event.GraphicsNodeChangeAdapter
`changeCompleted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL_RECT

    protected static Rectangle2D NULL_RECT

Constructor Detail

### UpdateTracker

    public UpdateTracker()

Method Detail

### hasChanged

    public boolean hasChanged()

  Tells whether the GVT tree has changed.

### getDirtyAreas

    public List getDirtyAreas()

  Returns the list of dirty areas on GVT.

### getNodeDirtyRegion

    public Rectangle2D getNodeDirtyRegion(GraphicsNode gn,
                                          AffineTransform at)

  This returns the dirty region for gn in the coordinate system given by `at`.

  Parameters:
    `gn` - Node tree to return dirty region for.
    `at` - Affine transform to coordinate space to accumulate dirty regions in.

### getNodeDirtyRegion

    public Rectangle2D getNodeDirtyRegion(GraphicsNode gn)

### changeStarted

    public void changeStarted(GraphicsNodeChangeEvent gnce)

  Receives notification of a change to a GraphicsNode.

  Specified by:
    `changeStarted` in interface `GraphicsNodeChangeListener`
  Overrides:
    `changeStarted` in class `GraphicsNodeChangeAdapter`
  Parameters:
    `gnce` - The event object describing the GraphicsNode change.

### clear

    public void clear()

  Clears the tracker.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.